#
# Makefile for the kernel USB device drivers.
#

obj-y	:=
obj-m	:=
obj-n	:=
obj-	:=

obj-$(CONFIG_LAB_DUMMY)		+= labdummy.o
obj-$(CONFIG_LAB_PM)		+= labpm.o
obj-$(CONFIG_LAB_DMESG)		+= labdmesg.o
obj-$(CONFIG_LAB_DEBUGLOG)	+= labdebug.o
obj-$(CONFIG_LAB_DEVMEM)	+= labdevmem.o
obj-$(CONFIG_LAB_INSMOD)	+= labinsmod.o
obj-$(CONFIG_LAB_RMMOD)		+= labrmmod.o
obj-$(CONFIG_LAB_CRC)		+= labcrc.o
obj-$(CONFIG_LAB_XMODEM)	+= labxmodem.o
obj-$(CONFIG_LAB_YMODEM)	+= labymodem.o
obj-$(CONFIG_LAB_MTD)		+= labmtd.o
obj-$(CONFIG_LAB_ERASEMTD)	+= laberasemtd.o
obj-$(CONFIG_LAB_COPY)		+= labcopy.o
obj-$(CONFIG_LAB_COPY_YMODEM)	+= labcopyymodem.o
obj-$(CONFIG_LAB_COPY_XMODEM)	+= labcopyxmodem.o
obj-$(CONFIG_LAB_COPY_FLASH)	+= labcopyflash.o
obj-$(CONFIG_LAB_COPY_NAND)	+= labcopynand.o
obj-$(CONFIG_LAB_COPY_DUMMY)	+= labcopydummy.o
obj-$(CONFIG_LAB_COPY_FS)	+= labcopyfs.o
obj-$(CONFIG_LAB_COPY_BUF)	+= labcopybuf.o
obj-$(CONFIG_LAB_MOUNT)		+= labmount.o
obj-$(CONFIG_LAB_MKDIR)		+= labmkdir.o
obj-$(CONFIG_ARMBOOT)		+= armboot.o armboot-asm.o
obj-$(CONFIG_ARMBOOT_LBL_SYSCALL) += armboot-lbl.o
obj-$(CONFIG_LAB_ARMBOOT)	+= labarmboot.o
obj-$(CONFIG_LAB_NANDDUMP)	+= labnanddump.o
obj-$(CONFIG_LAB_NANDCHECK)	+= labnandcheck.o
obj-$(CONFIG_LAB_BOOTLOGO)	+= labshowlogo.o
obj-$(CONFIG_LAB_RUN)		+= labrun.o
